notify_struct Struct Reference

`#include <notify.h>`

## Data Fields

notify_type * | waiting_next
ldns_rr * | soa
tsig_rr_type * | tsig_rr
acl_type * | secondary
zone_type * | zone
xfrhandler_type * | xfrhandler
netio_handler_type | handler
struct timespec | timeout
uint16_t | query_id
uint8_t | retry
unsigned | is_waiting: 1

## Detailed Description

Notify.

Definition at line 56 of file notify.h.

## Field Documentation

## handler

netio_handler_type notify_struct::handler

Definition at line 63 of file notify.h.

Referenced by notify_cleanup(), notify_create(), notify_enable(), and notify_send().

## is_waiting

unsigned notify_struct::is_waiting

Definition at line 67 of file notify.h.

Referenced by notify_create(), and notify_enable().

## query_id

uint16_t notify_struct::query_id

Definition at line 65 of file notify.h.

Referenced by notify_create(), and notify_send().

## retry

uint8_t notify_struct::retry

Definition at line 66 of file notify.h.

Referenced by notify_create(), and notify_send().

## secondary

acl_type* notify_struct::secondary

Definition at line 60 of file notify.h.

Referenced by notify_create(), notify_enable(), and notify_send().

## soa

ldns_rr* notify_struct::soa

Definition at line 58 of file notify.h.

Referenced by notify_cleanup(), notify_create(), and notify_send().

## timeout

struct timespec notify_struct::timeout

Definition at line 64 of file notify.h.

Referenced by notify_create(), and notify_send().

## tsig_rr

tsig_rr_type* notify_struct::tsig_rr

Definition at line 59 of file notify.h.

Referenced by notify_cleanup(), and notify_create().

## waiting_next

notify_type* notify_struct::waiting_next

Definition at line 57 of file notify.h.

Referenced by notify_create(), and notify_enable().

## xfrhandler

xfrhandler_type* notify_struct::xfrhandler

Definition at line 62 of file notify.h.

Referenced by notify_create(), notify_enable(), and notify_send().

## zone

zone_type* notify_struct::zone

Definition at line 61 of file notify.h.

Referenced by notify_create(), notify_enable(), and notify_send().

The documentation for this struct was generated from the following file:

- src/wire/notify.h